
package przyklad;
import java.rmi.*;
import java.rmi.server.*;
import przyklad.serwer.operacje.*;
import przyklad.klient.*;
import przyklad.obiekty.*;


class SesjaImpl extends UnicastRemoteObject
                  implements Sesja
 { protected Manager_operacji_na_bazie manager_operacji_na_bazie = null;
 
   public SesjaImpl(String drivers, String dbUrl,String uzytkownik, String haslo)
         throws RemoteException
    {manager_operacji_na_bazie = 
        new Manager_operacji_na_bazie(drivers, dbUrl, uzytkownik, haslo);}
     
   public boolean otworz_baze_danych (String uzytkownik, String haslo)
    {return manager_operacji_na_bazie.otwarcie_polaczenia(uzytkownik, haslo);}
     
   public void zamknij_baze_danych()
    {manager_operacji_na_bazie.zamkniecie_polaczenia();}
      
   public Tytul[] wyswietl_tytuly() throws RemoteException
    { try
       {return manager_operacji_na_bazie.podaj_Operacje_na_bazie().wyswietl_tytuly();
       }
      catch(Exception e)
       {}
      return null;
    }
   
   public  Ksiazka_Tytul[] wyswietl_ksiazki() throws RemoteException
     {try
    	{return manager_operacji_na_bazie.podaj_Operacje_na_bazie().wyswietl_ksiazki();}
      catch(Exception e)
       {}
      return null;
     }
  
   public void dodaj_tytuly(Tytul t) throws RemoteException
     {try
    	{manager_operacji_na_bazie.podaj_Operacje_na_bazie().wstaw_tytul(t);}
      catch(Exception e)
       {}
     }
  
   public void dodaj_ksiazki(Ksiazka k) throws RemoteException
     {try 
      {manager_operacji_na_bazie.podaj_Operacje_na_bazie().wstaw_ksiazke(k);}
      catch(Exception e)
       {}
     }
  
   public  Ksiazka_Tytul[] wyszukaj(String a) throws RemoteException
     {try
       {return manager_operacji_na_bazie.podaj_Operacje_na_bazie().wyszukaj(a);}
      catch(Exception e)
       {}
      return null;
     }
   }
 
