package przyklad.klient;
import java.io.*;
import java.util.*;
import java.rmi.*;
import przyklad.obiekty.*;
import przyklad.*;

public class Baza
{ String data, sql;
  Polaczenie polaczenie = null;
  Sesja sesja = null; 
  String uzytkownik="";
  String haslo="";
  
  void drukuj_tytuly(Tytul t[])
  {int ile=t.length;
    for (int i=0;i<ile;i++)
      t[i].drukuj();
  }
  void drukuj_ksiazki(Ksiazka_Tytul t[])
  { int ile=t.length;
    for (int i=0;i<ile;i++)
      t[i].drukuj();
  }
  
 Tytul podaj_tytul()throws Exception
  {Tytul t = new Tytul();
   t.wstaw_tytul();
   return t;
  }
   Ksiazka podaj_ksiazke()
    {Ksiazka k = new Ksiazka();
     k.wstaw_ksiazke(); 
     return k;
    }
  
  void operacje_na_bazie() throws Exception
  { int opcja;
    do
    {System.out.println("\n"+"1  -  wyswietl tytuly");
     System.out.println("2  -  wyswietl ksiazki");
     System.out.println("3  -  wyszukaj ksiazki danego autora");
     System.out.println("4  -  wstaw tytul");
     System.out.println("5  -  wstaw ksiazke");
     System.out.println("-1 -  koniec programu");
     opcja = WeWy.weInteger("Podaj opcje: ");
     switch(opcja)
     {case 1 : System.out.println("Tytuly");
               Tytul tytuly[]=sesja.wyswietl_tytuly();
               drukuj_tytuly(tytuly);
               break;
      case 2 : System.out.println("Ksiazki");
               Ksiazka_Tytul ksiazki[]=sesja.wyswietl_ksiazki();
               drukuj_ksiazki(ksiazki);
               break;
      case 3 : String autor =  WeWy.weString("Podaj autora: ");
               Ksiazka_Tytul ksiazki_tytuly[]=sesja.wyszukaj(autor);
               drukuj_ksiazki(ksiazki_tytuly);
               break;
      case 4 : sesja.dodaj_tytuly(podaj_tytul());
               break;
      case 5 : sesja.dodaj_ksiazki(podaj_ksiazke()); 
               break;
      case -1: System.out.println("Koniec programu");
               break;
      default: System.out.println("Zla opcja");
     }
    }while(opcja!=-1);
  }
 void glowna()
  { System.setSecurityManager(new RMISecurityManager());
  	try
     { polaczenie= 
      (Polaczenie)Naming.lookup("Przyklad_polaczenie");    
       if (polaczenie!=null )
        {System.out.println("Jest polaczenie");
         sesja= polaczenie.polacz(uzytkownik,haslo);
         if ( sesja!=null)
          {System.out.println("Jest sesja");
          	operacje_na_bazie();           
          }          
       } 
     }catch(Exception e)
      {System.out.println("Blad bazy "+e);
        polaczenie=null;
        sesja=null;
      }
      try
      { polaczenie.rozlacz(uzytkownik);
      }
      catch(Exception e)
      {System.out.println(e.getMessage());
      }
      finally
       { polaczenie=null;
         sesja=null;
       }
   }
  
   static  public void main(String arg[])
   { Baza baza = new Baza();
     baza.glowna();
   }
}