package przyklad.serwer.operacje;
import java.sql.*;
import java.util.*;
import java.io.*;

public class Manager_operacji_na_bazie
{
	protected Connection connection = null;
	protected String _dbUrl = null;
	protected Operacje_na_bazie operacje_na_bazie = null;
 	
	public Manager_operacji_na_bazie(String drivers, String dbUrl,
	                String uzytkownik, String haslo)
	{_dbUrl = dbUrl;
	  try
	   { Class.forName(drivers); 
             connection = DriverManager.getConnection(_dbUrl,
                                          uzytkownik,haslo);
       }
       catch(Exception e)
        {}
      }    
    
    public boolean otwarcie_polaczenia(String user, String password)
     {
      try
       {connection=DriverManager.getConnection(_dbUrl, user, password);
        connection.setAutoCommit(false);
        operacje_na_bazie = new Operacje_na_bazie (connection);   
       }
       catch(Exception e)
        { connection = null;
          operacje_na_bazie = null;
          return false;
        }
       return true;
     }	
    
    public void zamkniecie_polaczenia()
     {
     	if(null != connection)
     	{try
     	 { connection.close();}
     	 catch (SQLException e)
     	  { }
     	 finally
     	  { connection = null;
            operacje_na_bazie = null;
     	  } 
       }     
     }
     
    public  Operacje_na_bazie podaj_Operacje_na_bazie()
     {return operacje_na_bazie;} 
}