package przyklad.serwer.operacje;
import przyklad.obiekty.*;
import java.sql.*;
import java.util.*;
import java.io.*;



public class Operacje_na_bazie
 { private Connection  connection = null;
   
   public Operacje_na_bazie(Connection _connection)
    { connection = _connection;}
    
   public Tytul[] wyswietl_tytuly() throws Exception
    {Statement polecenie= connection.createStatement();
     String sql="SELECT * FROM Tytul ORDER BY tytul;";
     ResultSet krotka= polecenie.executeQuery(sql);
     Vector <Tytul> vector= new Vector<Tytul>(10,5);
     while(krotka.next())
     { Tytul tytul = new Tytul(krotka.getString("tytul"),
                          krotka.getString("autor"),
                          krotka.getInt("ISBN"));
       vector.addElement(tytul);
     }
      vector.trimToSize();
      Tytul tytuly[]=new Tytul[vector.size()];
      vector.copyInto(tytuly);
      polecenie.close();
      return tytuly;
   }
   
  public Ksiazka_Tytul[] wyswietl_ksiazki() throws Exception
   { Statement polecenie =  connection.createStatement();
     String sql="SELECT * FROM Tytul, Ksiazka "
          +" WHERE id_tytul=id_tytul_ "
          +" ORDER BY tytul;";
     ResultSet krotka = polecenie.executeQuery(sql);
     Vector <Ksiazka_Tytul> vector=new Vector<Ksiazka_Tytul>(10,5);
     while(krotka.next())
     {  Ksiazka_Tytul ksiazka_tytul=
           new Ksiazka_Tytul (krotka.getString("tytul"),
                        krotka.getString("autor"),
                        krotka.getInt("ISBN"),
                        krotka.getInt("numer"));
        vector.addElement(ksiazka_tytul);
     }
      vector.trimToSize();
      Ksiazka_Tytul ksiazki_tytuly[]=new Ksiazka_Tytul[vector.size()];
      vector.copyInto(ksiazki_tytuly);
      polecenie.close();
      return ksiazki_tytuly;
    }
   
  public  Ksiazka_Tytul[] wyszukaj(String autor) throws Exception
   { Statement polecenie = connection.createStatement();
     String sql="SELECT * FROM Tytul, Ksiazka "+
          " WHERE id_tytul=id_tytul_"+
          " AND autor = '" + autor +"'"+
          " ORDER BY tytul;";
     ResultSet krotka = polecenie.executeQuery(sql);
     Vector <Ksiazka_Tytul> vector = new Vector<Ksiazka_Tytul>(10,5);
     while(krotka.next())
     { Ksiazka_Tytul ksiazka_tytul= 
           new Ksiazka_Tytul(krotka.getString("tytul"),
                             krotka.getString("autor"),
                             krotka.getInt("ISBN"),
                             krotka.getInt("numer"));
        vector.addElement(ksiazka_tytul);
     }
      vector.trimToSize();
      Ksiazka_Tytul ksiazki_tytuly[]=new Ksiazka_Tytul[vector.size()];
      vector.copyInto(ksiazki_tytuly);
      polecenie.close();
      return ksiazki_tytuly;
   } 
   
 public void wstaw_tytul(Tytul t) throws Exception
   { connection.setAutoCommit(false);
     try
     {
      Statement polecenie = connection.createStatement();
      String sql="INSERT INTO Tytul (tytul, autor, ISBN)"+
         " VALUES ('"+t.tytul+"','"+ t.autor+"','"+ t.ISBN+"')";
     polecenie.addBatch(sql);
     polecenie.executeBatch();    
     connection.commit();
     }catch(BatchUpdateException e)
     { System.out.println("Wycofanie transakcji");
       connection.rollback();
     }
   }    

  
  public void wstaw_ksiazke(Ksiazka k) throws Exception
   { connection.setAutoCommit(false);
     try
     {
       Statement polecenie =  connection.createStatement();
       String sql="SELECT * FROM Tytul "+
          "WHERE tytul= '"+k.tytul+"';";
      ResultSet krotka=polecenie.executeQuery(sql);   
      if (!krotka.next()) return;
      sql="INSERT INTO Ksiazka (numer, id_tytul_)"+
         " VALUES ('"+k.numer+
         "','"+ krotka.getString("id_tytul")+"');";
     polecenie.addBatch(sql);
     polecenie.executeBatch();    
     connection.commit();
     }catch(BatchUpdateException e)
     { System.out.println("Wycofanie transakcji");
       connection.rollback();
     }
   }   
 }